Subject: bug#16292: 24.3.50; info docs now contain single straight quotes instead of `'

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Jan 2014 22:45:30 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 04 Jan 2014 15:30:10 -0500
> 
> >> Isn't there a way other than modifying the file to tell Texinfo that
> >> the encoding is utf-8?
> > No, not if you want makeinfo to put the 'coding' cookie in the file
> > local variables section of the Info file it produces.
> 
> But that's OK: the `coding' cookie should also be unnecessary for utf-8.

I wouldn't rely on that, but I see your point.

> > If so, we should at least fix the handful of manuals that already use
> > "@documentencoding utf-8", or use non-ASCII characters without any
> > @documentencoding, thus producing Info files that might display
> > incorrectly in certain locales.
> 
> That's not a new problem and people haven't complained about it, AFAICT,
> so I'd rather not touch it.

I won't recommend that: the effect is only visible with Texinfo 5,
which is still new.  Complaints might come too late for us to be able
to fix them (after the release).